#include        "defs.h"

void    __cdecl ntDbgPrint(__in const char *format, ...){
        char    *szString;
        va_list args; 
       
        szString = dlmalloc(0x1000);
        memset(szString, 0, 0x1000);
                                 
        va_start(args, format);
        _vsnprintf(szString, 0x1000-1, format, args);
        ntOutputDebugString(szString);
        memset(szString, 0, 0x1000);
        dlfree(szString);
}
        